#include <cmath>

#include "analytic.h"

using namespace std;


double cme_solution_mean(double ton, double toff, double d,
			 double c, double k, double j)
{
  return j * k * ton / ((ton + toff) * d * c);
}

double cme_solution_meanR(double ton, double toff, double d,
			 double c, double k, double j)
{
  return k * ton / ((ton + toff) * d);
}

double cme_solution_varR(double ton, double toff, double d,
			 double c, double k, double j)
{
  return (k*ton*(d*toff + k*toff + pow(toff,2) + d*ton + 2*toff*ton + pow(ton,2)))/(d*pow((toff + ton),2)*(d + toff + ton));
}


double cme_solution_var(double ton, double toff, double d,
			double c, double k, double j)
{
    double S=c+d;
    double P=c*d;
    double T2=pow(toff+ton,2);
	return (j*k*ton*(S*(toff+ton)*(P+(toff+ton)*(S+toff+ton))+j*(P*(toff+ton)+(S+toff+ton)*(k*toff+T2))))/(P*S*T2*(P+(toff+ton)*(S+toff+ton)));
}

double cme_solution_skew(double ton, double toff, double d,
			 double c, double k, double j)
{
  return j*k*ton*(-((pow(j,2)*pow(k,2)*pow(ton,2))/pow((c*d*toff+c*d*ton),3))-(3*j*k*ton*(pow(c,2)*(toff+ton)*(d+toff+ton)+(d+toff+ton)*(d*pow((toff+ton),2)+j*(k*toff+pow((toff+ton),2)))+c*(pow(d,2)*(toff+ton)+pow((toff+ton),3)+d*(toff+ton)*(j+2*(toff+ton))+j*(k*toff+pow((toff+ton),2)))))/(pow(c,2)*pow(d,2)*(c+d)*pow((toff+ton),3)*(c+toff+ton)*(d+toff+ton))+(4*pow(c,8)*pow(d,2)*(d+toff+ton)*(2*d+toff+ton)+2*pow(d,3)*pow(j,2)*pow(k,2)*pow(ton,2)*pow((d+toff+ton),2)*(2*d+toff+ton)+2*pow(c,7)*d*(2*d+toff+ton)*(9*pow(d,3)+6*j*k*ton+2*pow(d,2)*(3*j+7*(toff+ton))+d*(5*pow((toff+ton),2)+6*j*(k+toff+ton)))+c*pow(d,2)*j*k*ton*(d+toff+ton)*(2*d+toff+ton)*(6*pow(d,3)*(toff+ton)+7*j*k*ton*(toff+ton)+6*pow(d,2)*(pow((toff+ton),2)+j*(k+toff+ton))+3*d*j*(2*pow((toff+ton),2)+k*(2*toff+5*ton)))+pow(c,6)*(56*pow(d,6)+4*pow(j,2)*pow(k,2)*pow(ton,2)+2*pow(d,5)*(42*j+83*(toff+ton))+6*d*j*k*ton*(5*pow((toff+ton),2)+2*j*(k+toff+ton))+pow(d,4)*(8*pow(j,2)+167*pow((toff+ton),2)+6*j*(18*k+31*(toff+ton)))+2*pow(d,2)*(4*pow((toff+ton),4)+2*pow(j,2)*(2*pow(k,2)+pow((toff+ton),2)+3*k*(toff+3*ton))+3*j*(toff+ton)*(5*pow((toff+ton),2)+k*(5*toff+24*ton)))+pow(d,3)*(65*pow((toff+ton),3)+12*pow(j,2)*(2*k+toff+ton)+6*j*(22*pow((toff+ton),2)+k*(19*toff+37*ton))))+pow(c,2)*d*(d+toff+ton)*(2*d+toff+ton)*(7*pow(j,2)*pow(k,2)*pow(ton,2)*(toff+ton)+2*pow(d,5)*pow((toff+ton),2)+5*d*pow(j,2)*k*ton*(3*pow((toff+ton),2)+k*(3*toff+7*ton))+2*pow(d,4)*(pow((toff+ton),3)+3*j*(pow((toff+ton),2)+k*(toff+3*ton)))+pow(d,3)*j*(2*j*(2*pow(k,2)+2*pow((toff+ton),2)+k*(4*toff+9*ton))+3*(toff+ton)*(2*pow((toff+ton),2)+k*(2*toff+15*ton)))+pow(d,2)*j*(21*k*ton*pow((toff+ton),2)+j*(4*pow((toff+ton),3)+pow(k,2)*(4*toff+31*ton)+k*(toff+ton)*(8*toff+39*ton))))+pow(c,5)*(36*pow(d,7)+10*pow(j,2)*pow(k,2)*pow(ton,2)*(toff+ton)+2*pow(d,6)*(42*j+83*(toff+ton))+6*pow(d,5)*(4*pow(j,2)+41*pow((toff+ton),2)+4*j*(7*k+13*(toff+ton)))+6*d*j*k*ton*(4*pow((toff+ton),3)+j*(5*pow((toff+ton),2)+k*(5*toff+8*ton)))+pow(d,2)*(2*pow((toff+ton),5)+2*pow(j,2)*(5*pow((toff+ton),3)+3*k*(toff+ton)*(5*toff+22*ton)+pow(k,2)*(10*toff+37*ton))+3*j*pow((toff+ton),2)*(8*pow((toff+ton),2)+k*(8*toff+65*ton)))+pow(d,4)*(150*pow((toff+ton),3)+28*pow(j,2)*(3*k+2*(toff+ton))+j*(369*pow((toff+ton),2)+6*k*(51*toff+83*ton)))+3*pow(d,3)*(12*pow((toff+ton),4)+2*pow(j,2)*(6*pow(k,2)+7*pow((toff+ton),2)+k*(17*toff+31*ton))+j*(toff+ton)*(55*pow((toff+ton),2)+k*(53*toff+167*ton))))+pow(c,4)*(8*pow(d,8)+8*pow(j,2)*pow(k,2)*pow(ton,2)*pow((toff+ton),2)+pow(d,7)*(24*j+74*(toff+ton))+pow(d,6)*(16*pow(j,2)+167*pow((toff+ton),2)+6*j*(18*k+31*(toff+ton)))+pow(d,4)*(56*pow((toff+ton),4)+3*j*(toff+ton)*(95*pow((toff+ton),2)+6*k*(15*toff+41*ton))+2*pow(j,2)*(28*pow(k,2)+51*pow((toff+ton),2)+3*k*(33*toff+52*ton)))+d*j*k*ton*(toff+ton)*(6*pow((toff+ton),3)+j*(24*pow((toff+ton),2)+k*(24*toff+65*ton)))+pow(d,3)*(7*pow((toff+ton),5)+6*j*pow((toff+ton),2)*(14*pow((toff+ton),2)+k*(14*toff+75*ton))+pow(j,2)*(50*pow((toff+ton),3)+9*k*(toff+ton)*(14*toff+41*ton)+2*pow(k,2)*(35*toff+83*ton)))+pow(d,5)*(150*pow((toff+ton),3)+pow(j,2)*(84*k+76*(toff+ton))+j*(369*pow((toff+ton),2)+6*k*(51*toff+83*ton)))+pow(d,2)*j*(6*pow((toff+ton),3)*(pow((toff+ton),2)+k*(toff+18*ton))+j*(8*pow((toff+ton),4)+3*k*pow((toff+ton),2)*(8*toff+55*ton)+pow(k,2)*(16*pow(toff,2)+143*toff*ton+167*pow(ton,2)))))+pow(c,3)*(12*pow(d,8)*(toff+ton)+2*pow(j,2)*pow(k,2)*pow(ton,2)*pow((toff+ton),3)+6*d*pow(j,2)*k*ton*pow((toff+ton),2)*(pow((toff+ton),2)+k*(toff+6*ton))+12*pow(d,7)*(4*pow((toff+ton),2)+j*(2*k+3*(toff+ton)))+pow(d,6)*(65*pow((toff+ton),3)+24*pow(j,2)*(k+toff+ton)+6*j*(22*pow((toff+ton),2)+k*(19*toff+37*ton)))+pow(d,4)*(7*pow((toff+ton),5)+6*j*pow((toff+ton),2)*(14*pow((toff+ton),2)+k*(14*toff+75*ton))+pow(j,2)*(70*pow((toff+ton),3)+9*k*(toff+ton)*(16*toff+41*ton)+2*pow(k,2)*(35*toff+83*ton)))+pow(d,5)*(36*pow((toff+ton),4)+2*pow(j,2)*(18*pow(k,2)+36*pow((toff+ton),2)+31*k*(2*toff+3*ton))+3*j*(toff+ton)*(55*pow((toff+ton),2)+k*(53*toff+167*ton)))+pow(d,2)*j*(toff+ton)*(21*k*ton*pow((toff+ton),3)+2*j*(pow((toff+ton),4)+3*k*pow((toff+ton),2)*(toff+14*ton)+pow(k,2)*(2*pow(toff,2)+40*toff*ton+75*pow(ton,2))))+pow(d,3)*j*(3*pow((toff+ton),3)*(5*pow((toff+ton),2)+k*(5*toff+56*ton))+j*(24*pow((toff+ton),4)+k*pow((toff+ton),2)*(56*toff+285*ton)+pow(k,2)*(32*pow(toff,2)+238*toff*ton+246*pow(ton,2))))))/(pow(c,3)*pow(d,3)*(c+d)*(2*c+d)*(c+2*d)*(toff+ton)*(c+toff+ton)*(2*c+toff+ton)*(d+toff+ton)*(c+d+toff+ton)*(2*d+toff+ton)));
}

double cme_solution_kurt(double ton, double toff, double d,
			 double c, double k, double j)
{
  return (j*k*ton*(72*pow(c,13)*d*pow((toff+ton),3)*(6*pow(d,3)+11*pow(d,2)*(toff+ton)+6*d*pow((toff+ton),2)+pow((toff+ton),3))+18*pow(d,4)*j*k*ton*(toff+ton)*pow((d+toff+ton),3)*pow((2*d+toff+ton),2)*(3*d+toff+ton)*pow((d*pow((toff+ton),2)+j*(k*toff+pow((toff+ton),2))),2)+24*pow(c,12)*pow((toff+ton),2)*(6*pow(d,2)+5*d*(toff+ton)+pow((toff+ton),2))*(34*pow(d,3)*(toff+ton)+9*j*k*ton*(toff+ton)+pow(d,2)*(toff+ton)*(21*j+47*(toff+ton))+d*(13*pow((toff+ton),3)+3*j*(7*pow((toff+ton),2)+k*(7*toff+3*ton))))+2*pow(c,11)*(toff+ton)*(3*d+toff+ton)*(3882*pow(d,5)*pow((toff+ton),2)+pow(d,4)*pow((toff+ton),2)*(5208*j+9125*(toff+ton))+36*j*k*ton*(toff+ton)*(13*pow((toff+ton),3)+6*j*(k*toff+pow((toff+ton),2)))+12*pow(d,3)*(toff+ton)*(36*pow(j,2)*(toff+ton)+620*pow((toff+ton),3)+17*j*(49*pow((toff+ton),2)+4*k*(7*toff+3*ton)))+2*pow(d,2)*(toff+ton)*(1235*pow((toff+ton),4)+108*pow(j,2)*(3*pow((toff+ton),2)+2*k*(3*toff+ton))+12*j*(toff+ton)*(245*pow((toff+ton),2)+6*k*(35*toff+32*ton)))+3*d*(91*pow((toff+ton),6)+72*pow(j,2)*(2*pow(k,2)*pow(toff,2)+3*k*pow((toff+ton),3)+pow((toff+ton),4))+4*j*pow((toff+ton),3)*(91*pow((toff+ton),2)+k*(91*toff+219*ton))))+pow(c,10)*(61020*pow(d,7)*pow((toff+ton),3)+12*pow(d,6)*pow((toff+ton),3)*(10983*j+16592*(toff+ton))+18*j*k*ton*(toff+ton)*(91*pow((toff+ton),6)+104*j*pow((toff+ton),3)*(k*toff+pow((toff+ton),2))+12*pow(j,2)*pow((k*toff+pow((toff+ton),2)),2))+pow(d,5)*pow((toff+ton),2)*(25488*pow(j,2)*(toff+ton)+253343*pow((toff+ton),3)+6*j*(61201*pow((toff+ton),2)+3882*k*(7*toff+3*ton)))+pow(d,2)*(toff+ton)*(8351*pow((toff+ton),7)+72*pow(j,3)*(36*pow(k,2)*pow(toff,2)+6*pow((toff+ton),4)+k*pow((toff+ton),2)*(35*toff+33*ton))+72*pow(j,2)*(toff+ton)*(215*pow((toff+ton),4)+4*pow(k,2)*toff*(73*toff+51*ton)+2*k*pow((toff+ton),2)*(288*toff+329*ton))+2*j*pow((toff+ton),4)*(21931*pow((toff+ton),2)+10*k*(2086*toff+4455*ton)))+pow(d,4)*pow((toff+ton),2)*(432*pow(j,3)*(toff+ton)+159745*pow((toff+ton),4)+72*pow(j,2)*(805*pow((toff+ton),2)+372*k*(3*toff+ton))+2*j*(toff+ton)*(192479*pow((toff+ton),2)+9*k*(15085*toff+10419*ton)))+pow(d,3)*(toff+ton)*(52345*pow((toff+ton),6)+72*pow(j,3)*(toff+ton)*(11*pow((toff+ton),2)+6*k*(7*toff+3*ton))+144*pow(j,2)*(204*pow(k,2)*pow(toff,2)+320*pow((toff+ton),4)+k*pow((toff+ton),2)*(699*toff+419*ton))+2*j*pow((toff+ton),3)*(94794*pow((toff+ton),2)+k*(81578*toff+94335*ton)))+6*d*(82*pow((toff+ton),9)+24*pow(j,2)*pow((toff+ton),3)*(13*pow((toff+ton),4)+pow(k,2)*toff*(26*toff+73*ton)+k*pow((toff+ton),2)*(39*toff+109*ton))+13*j*pow((toff+ton),6)*(49*pow((toff+ton),2)+k*(49*toff+253*ton))+12*pow(j,3)*(pow((toff+ton),6)+6*pow(k,2)*toff*pow((toff+ton),2)*(2*toff+3*ton)+k*pow((toff+ton),4)*(7*toff+18*ton)+6*pow(k,3)*toff*(pow(toff,2)-toff*ton+pow(ton,2)))))+3*c*pow(d,3)*pow((d+toff+ton),2)*(6*pow(d,2)+5*d*(toff+ton)+pow((toff+ton),2))*(4*pow(d,6)*pow((toff+ton),6)+35*pow(j,3)*k*ton*pow((toff+ton),3)*pow((k*toff+pow((toff+ton),2)),2)+2*pow(d,5)*pow((toff+ton),4)*(3*pow((toff+ton),3)+2*j*(7*pow((toff+ton),2)+k*(7*toff+18*ton)))+2*pow(d,4)*pow((toff+ton),2)*(pow((toff+ton),6)+12*pow(j,2)*(2*pow((toff+ton),4)+pow(k,2)*toff*(2*toff+3*ton)+2*k*pow((toff+ton),2)*(2*toff+3*ton))+j*pow((toff+ton),3)*(21*pow((toff+ton),2)+k*(21*toff+122*ton)))+pow(d,3)*j*(4*j*pow((toff+ton),3)*(18*pow((toff+ton),4)+4*k*pow((toff+ton),2)*(9*toff+29*ton)+pow(k,2)*toff*(18*toff+95*ton))+pow((toff+ton),6)*(14*pow((toff+ton),2)+k*(14*toff+201*ton))+24*pow(j,2)*(3*k*pow((toff+ton),5)+pow((toff+ton),6)+pow(k,2)*toff*pow((toff+ton),2)*(3*toff+2*ton)+pow(k,3)*toff*(pow(toff,2)-toff*ton+pow(ton,2))))+d*pow(j,2)*pow((toff+ton),2)*(82*k*ton*pow((toff+ton),3)*(k*toff+pow((toff+ton),2))+3*j*(4*pow((toff+ton),6)+2*pow(k,2)*toff*pow((toff+ton),2)*(6*toff+49*ton)+k*pow((toff+ton),4)*(12*toff+55*ton)+pow(k,3)*toff*(4*pow(toff,2)+43*toff*ton+4*pow(ton,2))))+pow(d,2)*j*(toff+ton)*(47*k*ton*pow((toff+ton),6)+6*j*pow((toff+ton),3)*(4*pow((toff+ton),4)+pow(k,2)*toff*(4*toff+57*ton)+k*pow((toff+ton),2)*(8*toff+61*ton))+4*pow(j,2)*(9*pow((toff+ton),6)+k*pow((toff+ton),4)*(27*toff+55*ton)+pow(k,2)*toff*pow((toff+ton),2)*(27*toff+80*ton)+pow(k,3)*toff*(9*pow(toff,2)+25*toff*ton+9*pow(ton,2)))))+pow(c,9)*(96984*pow(d,8)*pow((toff+ton),3)+126*pow(d,7)*pow((toff+ton),3)*(2344*j+3077*(toff+ton))+36*j*k*ton*pow((toff+ton),2)*(41*pow((toff+ton),6)+91*j*pow((toff+ton),3)*(k*toff+pow((toff+ton),2))+26*pow(j,2)*pow((k*toff+pow((toff+ton),2)),2))+3*pow(d,6)*pow((toff+ton),2)*(33408*pow(j,2)*(toff+ton)+204457*pow((toff+ton),3)+6*j*(57029*pow((toff+ton),2)+3390*k*(7*toff+3*ton)))+pow(d,5)*pow((toff+ton),2)*(4104*pow(j,3)*(toff+ton)+494617*pow((toff+ton),4)+216*pow(j,2)*(1323*pow((toff+ton),2)+523*k*(3*toff+ton))+j*(toff+ton)*(1388443*pow((toff+ton),2)+204*k*(4585*toff+2928*ton)))+pow(d,3)*(toff+ton)*(51905*pow((toff+ton),7)+48*pow(j,3)*(558*pow(k,2)*pow(toff,2)+157*pow((toff+ton),4)+k*pow((toff+ton),2)*(778*toff+579*ton))+12*pow(j,2)*(toff+ton)*(12897*pow((toff+ton),4)+9*pow(k,2)*toff*(1496*toff+659*ton)+k*pow((toff+ton),2)*(31371*toff+27497*ton))+j*pow((toff+ton),4)*(322553*pow((toff+ton),2)+k*(297794*toff+479235*ton)))+pow(d,4)*(toff+ton)*(218113*pow((toff+ton),6)+36*pow(j,3)*(toff+ton)*(261*pow((toff+ton),2)+8*k*(101*toff+42*ton))+12*pow(j,2)*(11646*pow(k,2)*pow(toff,2)+25577*pow((toff+ton),4)+3*k*pow((toff+ton),2)*(16545*toff+8743*ton))+j*pow((toff+ton),3)*(928627*pow((toff+ton),2)+k*(770693*toff+760029*ton)))+pow(d,2)*(5996*pow((toff+ton),9)+12*pow(j,2)*pow((toff+ton),3)*(3055*pow((toff+ton),4)+2*pow(k,2)*toff*(2416*toff+3411*ton)+3*k*pow((toff+ton),2)*(2815*toff+4514*ton))+j*pow((toff+ton),6)*(54635*pow((toff+ton),2)+19*k*(2807*toff+8265*ton))+36*pow(j,3)*(71*pow((toff+ton),6)+4*pow(k,2)*toff*pow((toff+ton),2)*(140*toff+93*ton)+2*k*pow((toff+ton),4)*(219*toff+311*ton)+136*pow(k,3)*toff*(pow(toff,2)-toff*ton+pow(ton,2))))+3*d*(toff+ton)*(80*pow((toff+ton),9)+7*j*pow((toff+ton),6)*(164*pow((toff+ton),2)+k*(164*toff+1193*ton))+4*pow(j,2)*pow((toff+ton),3)*(273*pow((toff+ton),4)+13*k*pow((toff+ton),2)*(63*toff+241*ton)+2*pow(k,2)*toff*(273*toff+1217*ton))+8*pow(j,3)*(13*pow((toff+ton),6)+12*pow(k,2)*toff*pow((toff+ton),2)*(13*toff+35*ton)+k*pow((toff+ton),4)*(91*toff+318*ton)+6*pow(k,3)*toff*(13*pow(toff,2)+4*toff*ton+13*pow(ton,2)))))+pow(c,8)*(96984*pow(d,9)*pow((toff+ton),3)+72*pow(d,8)*pow((toff+ton),3)*(5327*j+6696*(toff+ton))+18*j*k*ton*pow((toff+ton),3)*(40*pow((toff+ton),6)+164*j*pow((toff+ton),3)*(k*toff+pow((toff+ton),2))+91*pow(j,2)*pow((k*toff+pow((toff+ton),2)),2))+12*pow(d,7)*pow((toff+ton),2)*(16920*pow(j,2)*(toff+ton)+78619*pow((toff+ton),3)+18*j*(7812*pow((toff+ton),2)+449*k*(7*toff+3*ton)))+pow(d,6)*pow((toff+ton),2)*(15336*pow(j,3)*(toff+ton)+951695*pow((toff+ton),4)+864*pow(j,2)*(853*pow((toff+ton),2)+293*k*(3*toff+ton))+14*j*(toff+ton)*(207511*pow((toff+ton),2)+27*k*(5035*toff+3077*ton)))+pow(d,4)*(toff+ton)*(173663*pow((toff+ton),7)+6*pow(j,3)*(18828*pow(k,2)*pow(toff,2)+8107*pow((toff+ton),4)+k*pow((toff+ton),2)*(34105*toff+21597*ton))+6*pow(j,2)*(toff+ton)*(119764*pow((toff+ton),4)+102*pow(k,2)*toff*(989*toff+321*ton)+k*pow((toff+ton),2)*(265404*toff+198349*ton))+j*pow((toff+ton),4)*(1204238*pow((toff+ton),2)+3*k*(363440*toff+494617*ton)))+3*pow(d,5)*(toff+ton)*(179737*pow((toff+ton),6)+12*pow(j,3)*(toff+ton)*(1236*pow((toff+ton),2)+k*(3089*toff+1233*ton))+4*pow(j,2)*(30510*pow(k,2)*pow(toff,2)+86386*pow((toff+ton),4)+9*k*pow((toff+ton),2)*(16680*toff+8147*ton))+j*pow((toff+ton),3)*(844564*pow((toff+ton),2)+k*(684803*toff+613371*ton)))+pow(d,3)*(30237*pow((toff+ton),9)+7*j*pow((toff+ton),6)*(44100*pow((toff+ton),2)+k*(42373*toff+93477*ton))+6*pow(j,2)*pow((toff+ton),3)*(43024*pow((toff+ton),4)+11*pow(k,2)*toff*(5140*toff+4869*ton)+k*pow((toff+ton),2)*(109656*toff+132661*ton))+6*pow(j,3)*(4157*pow((toff+ton),6)+6*pow(k,2)*toff*pow((toff+ton),2)*(3910*toff+1623*ton)+k*pow((toff+ton),4)*(22461*toff+23765*ton)+3882*pow(k,3)*toff*(pow(toff,2)-toff*ton+pow(ton,2))))+6*d*pow((toff+ton),2)*(10*pow((toff+ton),9)+2*j*pow((toff+ton),6)*(140*pow((toff+ton),2)+k*(140*toff+1499*ton))+pow(j,2)*pow((toff+ton),3)*(492*pow((toff+ton),4)+pow(k,2)*toff*(984*toff+6635*ton)+k*pow((toff+ton),2)*(1476*toff+7805*ton))+pow(j,3)*(91*pow((toff+ton),6)+13*k*pow((toff+ton),4)*(49*toff+229*ton)+4*pow(k,2)*toff*pow((toff+ton),2)*(273*toff+1139*ton)+pow(k,3)*toff*(546*pow(toff,2)+1033*toff*ton+546*pow(ton,2))))+pow(d,2)*(toff+ton)*(2450*pow((toff+ton),9)+7*j*pow((toff+ton),6)*(5504*pow((toff+ton),2)+5*k*(1090*toff+4449*ton))+6*pow(j,2)*pow((toff+ton),3)*(7532*pow((toff+ton),4)+2*pow(k,2)*toff*(6425*toff+14846*ton)+k*pow((toff+ton),2)*(21048*toff+46079*ton))+6*pow(j,3)*(1001*pow((toff+ton),6)+5*k*pow((toff+ton),4)*(1259*toff+2454*ton)+4*pow(k,2)*toff*pow((toff+ton),2)*(2251*toff+3000*ton)+pow(k,3)*toff*(3158*pow(toff,2)-1217*toff*ton+3158*pow(ton,2)))))+pow(c,2)*pow(d,2)*(432*pow(d,11)*pow((toff+ton),5)+186*pow(j,3)*k*ton*pow((toff+ton),7)*pow((k*toff+pow((toff+ton),2)),2)+24*pow(d,10)*pow((toff+ton),3)*(112*pow((toff+ton),3)+3*j*(42*pow((toff+ton),2)+k*(35*toff+33*ton)))+2*pow(d,9)*(toff+ton)*(3289*pow((toff+ton),6)+216*pow(j,2)*(6*pow(k,2)*pow(toff,2)+12*pow((toff+ton),4)+k*pow((toff+ton),2)*(18*toff+11*ton))+12*j*pow((toff+ton),3)*(763*pow((toff+ton),2)+3*k*(231*toff+347*ton)))+pow(d,8)*(toff+ton)*(8351*pow((toff+ton),7)+216*pow(j,3)*(12*pow(k,2)*pow(toff,2)+12*pow((toff+ton),4)+k*pow((toff+ton),2)*(24*toff+11*ton))+144*pow(j,2)*(toff+ton)*(206*pow((toff+ton),4)+7*k*pow((toff+ton),2)*(52*toff+47*ton)+2*pow(k,2)*toff*(73*toff+51*ton))+2*j*pow((toff+ton),4)*(21931*pow((toff+ton),2)+10*k*(2086*toff+4455*ton)))+pow(d,7)*(5996*pow((toff+ton),9)+24*pow(j,2)*pow((toff+ton),3)*(2821*pow((toff+ton),4)+pow(k,2)*toff*(2416*toff+3411*ton)+k*pow((toff+ton),2)*(5387*toff+6771*ton))+j*pow((toff+ton),6)*(54635*pow((toff+ton),2)+19*k*(2807*toff+8265*ton))+72*pow(j,3)*(188*pow((toff+ton),6)+2*pow(k,2)*toff*pow((toff+ton),2)*(177*toff+56*ton)+k*pow((toff+ton),4)*(492*toff+311*ton)+68*pow(k,3)*toff*(pow(toff,2)-toff*ton+pow(ton,2))))+6*d*pow(j,2)*pow((toff+ton),6)*(97*k*ton*pow((toff+ton),3)*(k*toff+pow((toff+ton),2))+j*(11*pow((toff+ton),6)+5*k*pow((toff+ton),4)*(9*toff+97*ton)+5*pow(k,2)*toff*pow((toff+ton),2)*(11*toff+183*ton)+pow(k,3)*toff*(21*pow(toff,2)+422*toff*ton+21*pow(ton,2))))+3*pow(d,2)*j*pow((toff+ton),5)*(138*k*ton*pow((toff+ton),6)+4*j*pow((toff+ton),3)*(29*pow((toff+ton),4)+2*pow(k,2)*toff*(16*toff+329*ton)+k*pow((toff+ton),2)*(61*toff+690*ton))+5*pow(j,2)*(68*pow((toff+ton),6)+3*k*pow((toff+ton),4)*(84*toff+403*ton)+4*pow(k,2)*toff*pow((toff+ton),2)*(73*toff+528*ton)+pow(k,3)*toff*(108*pow(toff,2)+871*toff*ton+108*pow(ton,2))))+pow(d,3)*j*pow((toff+ton),4)*(6*j*pow((toff+ton),3)*(700*pow((toff+ton),4)+5*k*pow((toff+ton),2)*(292*toff+1603*ton)+2*pow(k,2)*toff*(380*toff+3607*ton))+pow((toff+ton),6)*(287*pow((toff+ton),2)+k*(287*toff+5550*ton))+3*pow(j,2)*(2020*pow((toff+ton),6)+4*pow(k,2)*toff*pow((toff+ton),2)*(1935*toff+7741*ton)+k*pow((toff+ton),4)*(6996*toff+19721*ton)+3*pow(k,3)*toff*(920*pow(toff,2)+3561*toff*ton+920*pow(ton,2))))+pow(d,6)*(toff+ton)*(2450*pow((toff+ton),9)+7*j*pow((toff+ton),6)*(5504*pow((toff+ton),2)+5*k*(1090*toff+4449*ton))+6*pow(j,2)*pow((toff+ton),3)*(13426*pow((toff+ton),4)+71*k*pow((toff+ton),2)*(376*toff+649*ton)+2*pow(k,2)*toff*(6425*toff+14846*ton))+6*pow(j,3)*(4706*pow((toff+ton),6)+30*k*pow((toff+ton),4)*(459*toff+409*ton)+2*pow(k,2)*toff*pow((toff+ton),2)*(6075*toff+4427*ton)+pow(k,3)*toff*(3158*pow(toff,2)-1217*toff*ton+3158*pow(ton,2))))+pow(d,4)*pow((toff+ton),3)*(47*pow((toff+ton),9)+5*j*pow((toff+ton),6)*(658*pow((toff+ton),2)+k*(658*toff+6135*ton))+6*pow(j,2)*pow((toff+ton),3)*(3460*pow((toff+ton),4)+10*pow(k,2)*toff*(367*toff+2064*ton)+k*pow((toff+ton),2)*(7142*toff+24733*ton))+3*pow(j,3)*(6088*pow((toff+ton),6)+7*k*pow((toff+ton),4)*(2856*toff+5263*ton)+8*pow(k,2)*toff*pow((toff+ton),2)*(2634*toff+6191*ton)+pow(k,3)*toff*(7128*pow(toff,2)+12181*toff*ton+7128*pow(ton,2))))+pow(d,5)*pow((toff+ton),2)*(530*pow((toff+ton),9)+6*pow(j,2)*pow((toff+ton),3)*(9040*pow((toff+ton),4)+4*k*pow((toff+ton),2)*(4598*toff+11025*ton)+pow(k,2)*toff*(9232*toff+33141*ton))+j*pow((toff+ton),6)*(15470*pow((toff+ton),2)+k*(15428*toff+90711*ton))+3*pow(j,3)*(10150*pow((toff+ton),6)+6*pow(k,2)*toff*pow((toff+ton),2)*(5209*toff+7089*ton)+3*k*pow((toff+ton),4)*(10558*toff+13375*ton)+pow(k,3)*toff*(9598*pow(toff,2)+4173*toff*ton+9598*pow(ton,2)))))+pow(c,7)*(61020*pow(d,10)*pow((toff+ton),3)+126*pow(d,9)*pow((toff+ton),3)*(2344*j+3077*(toff+ton))+36*j*k*ton*pow((toff+ton),4)*(5*pow((toff+ton),6)+40*j*pow((toff+ton),3)*(k*toff+pow((toff+ton),2))+41*pow(j,2)*pow((k*toff+pow((toff+ton),2)),2))+12*pow(d,8)*pow((toff+ton),2)*(18936*pow(j,2)*(toff+ton)+78619*pow((toff+ton),3)+18*j*(7812*pow((toff+ton),2)+449*k*(7*toff+3*ton)))+2*pow(d,7)*pow((toff+ton),2)*(14364*pow(j,3)*(toff+ton)+589739*pow((toff+ton),4)+216*pow(j,2)*(2495*pow((toff+ton),2)+761*k*(3*toff+ton))+j*(toff+ton)*(1849421*pow((toff+ton),2)+36*k*(33341*toff+20088*ton)))+pow(d,6)*(toff+ton)*(837713*pow((toff+ton),6)+36*pow(j,3)*(toff+ton)*(3000*pow((toff+ton),2)+k*(6043*toff+2283*ton))+24*pow(j,2)*(24246*pow(k,2)*pow(toff,2)+82159*pow((toff+ton),4)+9*k*pow((toff+ton),2)*(14375*toff+6696*ton))+j*pow((toff+ton),3)*(4128173*pow((toff+ton),2)+6*k*(551453*toff+471714*ton)))+pow(d,5)*(toff+ton)*(347725*pow((toff+ton),7)+6*pow(j,3)*(42192*pow(k,2)*pow(toff,2)+26093*pow((toff+ton),4)+37*k*pow((toff+ton),2)*(2495*toff+1398*ton))+12*pow(j,2)*(toff+ton)*(151037*pow((toff+ton),4)+9*pow(k,2)*toff*(11888*toff+3217*ton)+k*pow((toff+ton),2)*(306366*toff+207511*ton))+j*pow((toff+ton),4)*(2570239*pow((toff+ton),2)+k*(2300662*toff+2855085*ton)))+pow(d,4)*(82445*pow((toff+ton),9)+18*pow(j,2)*pow((toff+ton),3)*(50174*pow((toff+ton),4)+pow(k,2)*toff*(56020*toff+41809*ton)+2*k*pow((toff+ton),2)*(58895*toff+60326*ton))+j*pow((toff+ton),6)*(906941*pow((toff+ton),2)+k*(862778*toff+1617633*ton))+3*pow(j,3)*(37150*pow((toff+ton),6)+36*pow(k,2)*toff*pow((toff+ton),2)*(4276*toff+1303*ton)+k*pow((toff+ton),4)*(173414*toff+150819*ton)+20340*pow(k,3)*toff*(pow(toff,2)-toff*ton+pow(ton,2))))+3*d*pow((toff+ton),3)*(2*pow((toff+ton),9)+70*j*pow((toff+ton),6)*(2*pow((toff+ton),2)+k*(2*toff+35*ton))+4*pow(j,2)*pow((toff+ton),3)*(120*pow((toff+ton),4)+8*k*pow((toff+ton),2)*(45*toff+344*ton)+5*pow(k,2)*toff*(48*toff+497*ton))+pow(j,3)*(164*pow((toff+ton),6)+7*k*pow((toff+ton),4)*(164*toff+1037*ton)+2*pow(k,2)*toff*pow((toff+ton),2)*(984*toff+6089*ton)+pow(k,3)*toff*(984*pow(toff,2)+3935*toff*ton+984*pow(ton,2))))+pow(d,2)*pow((toff+ton),2)*(530*pow((toff+ton),9)+6*pow(j,2)*pow((toff+ton),3)*(5258*pow((toff+ton),4)+90*k*pow((toff+ton),2)*(163*toff+490*ton)+pow(k,2)*toff*(9232*toff+33141*ton))+j*pow((toff+ton),6)*(15470*pow((toff+ton),2)+k*(15428*toff+90711*ton))+3*pow(j,3)*(2450*pow((toff+ton),6)+4*pow(k,2)*toff*pow((toff+ton),2)*(5807*toff+12640*ton)+3*k*pow((toff+ton),4)*(5126*toff+13375*ton)+pow(k,3)*toff*(9598*pow(toff,2)+4173*toff*ton+9598*pow(ton,2))))+pow(d,3)*(toff+ton)*(10225*pow((toff+ton),9)+7*j*pow((toff+ton),6)*(24733*pow((toff+ton),2)+k*(24310*toff+74427*ton))+12*pow(j,2)*pow((toff+ton),3)*(20167*pow((toff+ton),4)+2*pow(k,2)*toff*(14803*toff+24137*ton)+k*pow((toff+ton),2)*(52188*toff+86017*ton))+3*pow(j,3)*(13674*pow((toff+ton),6)+2*pow(k,2)*toff*pow((toff+ton),2)*(46954*toff+42141*ton)+k*pow((toff+ton),4)*(75778*toff+108121*ton)+2*pow(k,3)*toff*(13171*pow(toff,2)-7726*toff*ton+13171*pow(ton,2)))))+pow(c,5)*(4896*pow(d,12)*pow((toff+ton),3)+18*pow(d,11)*pow((toff+ton),3)*(1736*j+3473*(toff+ton))+36*pow(j,2)*k*ton*pow((toff+ton),6)*(k*toff+pow((toff+ton),2))*(pow((toff+ton),3)+5*j*(k*toff+pow((toff+ton),2)))+pow(d,10)*pow((toff+ton),2)*(43200*pow(j,2)*(toff+ton)+253343*pow((toff+ton),3)+6*j*(61201*pow((toff+ton),2)+3882*k*(7*toff+3*ton)))+pow(d,9)*pow((toff+ton),2)*(13824*pow(j,3)*(toff+ton)+494617*pow((toff+ton),4)+216*pow(j,2)*(1973*pow((toff+ton),2)+523*k*(3*toff+ton))+j*(toff+ton)*(1388443*pow((toff+ton),2)+204*k*(4585*toff+2928*ton)))+3*pow(d,8)*(toff+ton)*(179737*pow((toff+ton),6)+12*pow(j,3)*(toff+ton)*(2871*pow((toff+ton),2)+k*(3817*toff+1233*ton))+4*pow(j,2)*(30510*pow(k,2)*pow(toff,2)+116489*pow((toff+ton),4)+9*k*pow((toff+ton),2)*(17875*toff+8147*ton))+j*pow((toff+ton),3)*(844564*pow((toff+ton),2)+k*(684803*toff+613371*ton)))+pow(d,7)*(toff+ton)*(347725*pow((toff+ton),7)+6*pow(j,3)*(42192*pow(k,2)*pow(toff,2)+45323*pow((toff+ton),4)+k*pow((toff+ton),2)*(113957*toff+51726*ton))+12*pow(j,2)*(toff+ton)*(185194*pow((toff+ton),4)+9*pow(k,2)*toff*(11888*toff+3217*ton)+k*pow((toff+ton),2)*(328335*toff+207511*ton))+j*pow((toff+ton),4)*(2570239*pow((toff+ton),2)+k*(2300662*toff+2855085*ton)))+pow(d,6)*(133694*pow((toff+ton),9)+6*pow(j,2)*pow((toff+ton),3)*(324578*pow((toff+ton),4)+6*pow(k,2)*toff*(47252*toff+31527*ton)+k*pow((toff+ton),2)*(660798*toff+589739*ton))+j*pow((toff+ton),6)*(1527134*pow((toff+ton),2)+k*(1445584*toff+2513139*ton))+3*pow(j,3)*(116798*pow((toff+ton),6)+36*pow(k,2)*toff*pow((toff+ton),2)*(7879*toff+1647*ton)+k*pow((toff+ton),4)*(397954*toff+264203*ton)+32328*pow(k,3)*toff*(pow(toff,2)-toff*ton+pow(ton,2))))+3*d*j*pow((toff+ton),5)*(47*k*ton*pow((toff+ton),6)+4*j*pow((toff+ton),3)*(3*pow((toff+ton),4)+pow(k,2)*toff*(6*toff+229*ton)+k*pow((toff+ton),2)*(9*toff+235*ton))+2*pow(j,2)*(10*pow((toff+ton),6)+5*k*pow((toff+ton),4)*(14*toff+197*ton)+4*pow(k,2)*toff*pow((toff+ton),2)*(30*toff+461*ton)+pow(k,3)*toff*(60*pow(toff,2)+799*toff*ton+60*pow(ton,2))))+pow(d,2)*j*pow((toff+ton),4)*(6*j*pow((toff+ton),3)*(440*pow((toff+ton),4)+5*k*pow((toff+ton),2)*(240*toff+1603*ton)+2*pow(k,2)*toff*(380*toff+3607*ton))+pow((toff+ton),6)*(287*pow((toff+ton),2)+k*(287*toff+5550*ton))+3*pow(j,2)*(670*pow((toff+ton),6)+82*pow(k,2)*toff*pow((toff+ton),2)*(75*toff+397*ton)+k*pow((toff+ton),4)*(4042*toff+19721*ton)+3*pow(k,3)*toff*(920*pow(toff,2)+3561*toff*ton+920*pow(ton,2))))+pow(d,4)*pow((toff+ton),2)*(3320*pow((toff+ton),9)+12*pow(j,2)*pow((toff+ton),3)*(23330*pow((toff+ton),4)+4*pow(k,2)*toff*(7751*toff+18063*ton)+k*pow((toff+ton),2)*(55434*toff+109081*ton))+j*pow((toff+ton),6)*(103145*pow((toff+ton),2)+2*k*(51233*toff+200541*ton))+6*pow(j,3)*(16128*pow((toff+ton),6)+2*k*pow((toff+ton),4)*(37968*toff+58817*ton)+pow(k,2)*toff*pow((toff+ton),2)*(92361*toff+117439*ton)+5*pow(k,3)*toff*(6025*pow(toff,2)-466*toff*ton+6025*pow(ton,2))))+2*pow(d,5)*(toff+ton)*(14735*pow((toff+ton),9)+24*pow(j,2)*pow((toff+ton),3)*(20433*pow((toff+ton),4)+10*pow(k,2)*toff*(2294*toff+2951*ton)+k*pow((toff+ton),2)*(45436*toff+58817*ton))+7*j*pow((toff+ton),6)*(37991*pow((toff+ton),2)+k*(37118*toff+93498*ton))+3*pow(j,3)*(41050*pow((toff+ton),6)+7*pow(k,2)*toff*pow((toff+ton),2)*(24013*toff+14313*ton)+2*k*pow((toff+ton),4)*(84217*toff+83976*ton)+4*pow(k,3)*toff*(9517*pow(toff,2)-6436*toff*ton+9517*pow(ton,2))))+3*pow(d,3)*pow((toff+ton),3)*(46*pow((toff+ton),9)+70*j*pow((toff+ton),6)*(46*pow((toff+ton),2)+k*(46*toff+325*ton))+4*pow(j,2)*pow((toff+ton),3)*(3485*pow((toff+ton),4)+5*pow(k,2)*toff*(1056*toff+4591*ton)+2*k*pow((toff+ton),2)*(4405*toff+14428*ton))+pow(j,3)*(6802*pow((toff+ton),6)+6*pow(k,2)*toff*pow((toff+ton),2)*(8329*toff+20989*ton)+2*k*pow((toff+ton),4)*(18087*toff+46361*ton)+pow(k,3)*toff*(20022*pow(toff,2)+22255*toff*ton+20022*pow(ton,2)))))+pow(c,4)*(432*pow(d,13)*pow((toff+ton),3)+48*pow(d,12)*pow((toff+ton),3)*(63*j+226*(toff+ton))+18*pow(j,3)*k*ton*pow((toff+ton),7)*pow((k*toff+pow((toff+ton),2)),2)+2*pow(d,11)*pow((toff+ton),2)*(2592*pow(j,2)*(toff+ton)+31445*pow((toff+ton),3)+12*j*(2933*pow((toff+ton),2)+204*k*(7*toff+3*ton)))+pow(d,10)*pow((toff+ton),2)*(2592*pow(j,3)*(toff+ton)+159745*pow((toff+ton),4)+288*pow(j,2)*(353*pow((toff+ton),2)+93*k*(3*toff+ton))+2*j*(toff+ton)*(192479*pow((toff+ton),2)+9*k*(15085*toff+10419*ton)))+pow(d,8)*(toff+ton)*(173663*pow((toff+ton),7)+6*pow(j,3)*(18828*pow(k,2)*pow(toff,2)+23722*pow((toff+ton),4)+k*pow((toff+ton),2)*(51946*toff+21597*ton))+6*pow(j,2)*(toff+ton)*(176762*pow((toff+ton),4)+102*pow(k,2)*toff*(989*toff+321*ton)+k*pow((toff+ton),2)*(303156*toff+198349*ton))+j*pow((toff+ton),4)*(1204238*pow((toff+ton),2)+3*k*(363440*toff+494617*ton)))+pow(d,9)*(toff+ton)*(218113*pow((toff+ton),6)+288*pow(j,3)*(toff+ton)*(127*pow((toff+ton),2)+2*k*(71*toff+21*ton))+12*pow(j,2)*(11646*pow(k,2)*pow(toff,2)+40930*pow((toff+ton),4)+21*k*pow((toff+ton),2)*(2640*toff+1249*ton))+j*pow((toff+ton),3)*(928627*pow((toff+ton),2)+k*(770693*toff+760029*ton)))+pow(d,7)*(82445*pow((toff+ton),9)+6*pow(j,2)*pow((toff+ton),3)*(204888*pow((toff+ton),4)+3*pow(k,2)*toff*(56020*toff+41809*ton)+4*k*pow((toff+ton),2)*(99620*toff+90489*ton))+j*pow((toff+ton),6)*(906941*pow((toff+ton),2)+k*(862778*toff+1617633*ton))+3*pow(j,3)*(84530*pow((toff+ton),6)+12*pow(k,2)*toff*pow((toff+ton),2)*(14023*toff+2714*ton)+k*pow((toff+ton),4)*(250742*toff+150819*ton)+20340*pow(k,3)*toff*(pow(toff,2)-toff*ton+pow(ton,2))))+6*d*pow(j,2)*pow((toff+ton),6)*(41*k*ton*pow((toff+ton),3)*(k*toff+pow((toff+ton),2))+j*(pow((toff+ton),6)+2*pow(k,2)*toff*pow((toff+ton),2)*(6*toff+199*ton)+k*pow((toff+ton),4)*(7*toff+205*ton)+pow(k,3)*toff*(6*pow(toff,2)+187*toff*ton+6*pow(ton,2))))+3*pow(d,2)*j*pow((toff+ton),5)*(138*k*ton*pow((toff+ton),6)+4*j*pow((toff+ton),3)*(19*pow((toff+ton),4)+3*k*pow((toff+ton),2)*(17*toff+230*ton)+2*pow(k,2)*toff*(16*toff+329*ton))+5*pow(j,2)*(28*pow((toff+ton),6)+4*pow(k,2)*toff*pow((toff+ton),2)*(61*toff+540*ton)+k*pow((toff+ton),4)*(164*toff+1209*ton)+pow(k,3)*toff*(108*pow(toff,2)+871*toff*ton+108*pow(ton,2))))+pow(d,3)*j*pow((toff+ton),4)*(6*j*pow((toff+ton),3)*(1160*pow((toff+ton),4)+5*k*pow((toff+ton),2)*(568*toff+2947*ton)+2*pow(k,2)*toff*(840*toff+6479*ton))+pow((toff+ton),6)*(679*pow((toff+ton),2)+k*(679*toff+9960*ton))+3*pow(j,2)*(2100*pow((toff+ton),6)+4*pow(k,2)*toff*pow((toff+ton),2)*(3615*toff+14944*ton)+k*pow((toff+ton),4)*(10580*toff+37991*ton)+5*pow(k,3)*toff*(1188*pow(toff,2)+3671*toff*ton+1188*pow(ton,2))))+pow(d,5)*pow((toff+ton),2)*(3320*pow((toff+ton),9)+12*pow(j,2)*pow((toff+ton),3)*(26326*pow((toff+ton),4)+4*pow(k,2)*toff*(7751*toff+18063*ton)+k*pow((toff+ton),2)*(58330*toff+109081*ton))+j*pow((toff+ton),6)*(103145*pow((toff+ton),2)+2*k*(51233*toff+200541*ton))+6*pow(j,3)*(21868*pow((toff+ton),6)+2*pow(k,2)*toff*pow((toff+ton),2)*(48919*toff+55981*ton)+2*k*pow((toff+ton),4)*(43904*toff+58817*ton)+5*pow(k,3)*toff*(6025*pow(toff,2)-466*toff*ton+6025*pow(ton,2))))+2*pow(d,4)*pow((toff+ton),3)*(97*pow((toff+ton),9)+35*j*pow((toff+ton),6)*(194*pow((toff+ton),2)+k*(194*toff+1263*ton))+6*pow(j,2)*pow((toff+ton),3)*(5625*pow((toff+ton),4)+134*pow(k,2)*toff*(55*toff+222*ton)+k*pow((toff+ton),2)*(13060*toff+37991*ton))+3*pow(j,3)*(6643*pow((toff+ton),6)+2*pow(k,2)*toff*pow((toff+ton),2)*(18669*toff+40610*ton)+k*pow((toff+ton),4)*(29773*toff+62720*ton)+pow(k,3)*toff*(13878*pow(toff,2)+13535*toff*ton+13878*pow(ton,2))))+pow(d,6)*(toff+ton)*(22750*pow((toff+ton),9)+7*j*pow((toff+ton),6)*(57712*pow((toff+ton),2)+5*k*(11294*toff+29805*ton))+6*pow(j,2)*pow((toff+ton),3)*(136430*pow((toff+ton),4)+2*pow(k,2)*toff*(69607*toff+94726*ton)+k*pow((toff+ton),2)*(286402*toff+367177*ton))+3*pow(j,3)*(80826*pow((toff+ton),6)+4*pow(k,2)*toff*pow((toff+ton),2)*(66071*toff+36125*ton)+k*pow((toff+ton),4)*(286118*toff+253835*ton)+2*pow(k,3)*toff*(29359*pow(toff,2)-19321*toff*ton+29359*pow(ton,2)))))+pow(c,6)*(23292*pow(d,11)*pow((toff+ton),3)+12*pow(d,10)*pow((toff+ton),3)*(10983*j+16592*(toff+ton))+18*j*k*ton*pow((toff+ton),5)*(pow((toff+ton),6)+20*j*pow((toff+ton),3)*(k*toff+pow((toff+ton),2))+40*pow(j,2)*pow((k*toff+pow((toff+ton),2)),2))+3*pow(d,9)*pow((toff+ton),2)*(46512*pow(j,2)*(toff+ton)+204457*pow((toff+ton),3)+6*j*(57029*pow((toff+ton),2)+3390*k*(7*toff+3*ton)))+pow(d,8)*pow((toff+ton),2)*(28296*pow(j,3)*(toff+ton)+951695*pow((toff+ton),4)+216*pow(j,2)*(4201*pow((toff+ton),2)+1172*k*(3*toff+ton))+14*j*(toff+ton)*(207511*pow((toff+ton),2)+27*k*(5035*toff+3077*ton)))+pow(d,7)*(toff+ton)*(837713*pow((toff+ton),6)+48*pow(j,2)*(12123*pow(k,2)*pow(toff,2)+45511*pow((toff+ton),4)+27*k*pow((toff+ton),2)*(2453*toff+1116*ton))+36*pow(j,3)*(toff+ton)*(3990*pow((toff+ton),2)+k*(6491*toff+2283*ton))+j*pow((toff+ton),3)*(4128173*pow((toff+ton),2)+6*k*(551453*toff+471714*ton)))+2*pow(d,6)*(toff+ton)*(218162*pow((toff+ton),7)+3*pow(j,3)*(54792*pow(k,2)*pow(toff,2)+46075*pow((toff+ton),4)+k*pow((toff+ton),2)*(136657*toff+68802*ton))+6*pow(j,2)*(toff+ton)*(219351*pow((toff+ton),4)+18*pow(k,2)*toff*(7593*toff+1933*ton)+k*pow((toff+ton),2)*(412056*toff+264203*ton))+j*pow((toff+ton),4)*(1646876*pow((toff+ton),2)+k*(1468600*toff+1769217*ton)))+pow(d,5)*(133694*pow((toff+ton),9)+6*pow(j,2)*pow((toff+ton),3)*(291916*pow((toff+ton),4)+6*pow(k,2)*toff*(47252*toff+31527*ton)+k*pow((toff+ton),2)*(634052*toff+589739*ton))+j*pow((toff+ton),6)*(1527134*pow((toff+ton),2)+k*(1445584*toff+2513139*ton))+3*pow(j,3)*(88308*pow((toff+ton),6)+12*pow(k,2)*toff*pow((toff+ton),2)*(22951*toff+5627*ton)+k*pow((toff+ton),4)*(351952*toff+264203*ton)+32328*pow(k,3)*toff*(pow(toff,2)-toff*ton+pow(ton,2))))+6*d*j*pow((toff+ton),4)*(pow((toff+ton),6)*(7*pow((toff+ton),2)+k*(7*toff+265*ton))+2*j*pow((toff+ton),3)*(30*pow((toff+ton),4)+5*k*pow((toff+ton),2)*(18*toff+221*ton)+2*pow(k,2)*toff*(30*toff+521*ton))+2*pow(j,2)*(20*pow((toff+ton),6)+7*k*pow((toff+ton),4)*(20*toff+179*ton)+pow(k,2)*toff*pow((toff+ton),2)*(240*toff+2239*ton)+2*pow(k,3)*toff*(60*pow(toff,2)+433*toff*ton+60*pow(ton,2))))+pow(d,2)*pow((toff+ton),3)*(47*pow((toff+ton),9)+5*j*pow((toff+ton),6)*(658*pow((toff+ton),2)+k*(658*toff+6135*ton))+6*pow(j,2)*pow((toff+ton),3)*(2090*pow((toff+ton),4)+10*pow(k,2)*toff*(367*toff+2064*ton)+k*pow((toff+ton),2)*(5778*toff+24733*ton))+3*pow(j,3)*(1698*pow((toff+ton),6)+8*pow(k,2)*toff*pow((toff+ton),2)*(2013*toff+6812*ton)+k*pow((toff+ton),4)*(10494*toff+36841*ton)+pow(k,3)*toff*(7128*pow(toff,2)+12181*toff*ton+7128*pow(ton,2))))+pow(d,4)*(toff+ton)*(22750*pow((toff+ton),9)+7*j*pow((toff+ton),6)*(57712*pow((toff+ton),2)+5*k*(11294*toff+29805*ton))+6*pow(j,2)*pow((toff+ton),3)*(109396*pow((toff+ton),4)+2*pow(k,2)*toff*(69607*toff+94726*ton)+k*pow((toff+ton),2)*(261534*toff+367177*ton))+3*pow(j,3)*(45616*pow((toff+ton),6)+4*pow(k,2)*toff*pow((toff+ton),2)*(60143*toff+42053*ton)+k*pow((toff+ton),4)*(218648*toff+253835*ton)+2*pow(k,3)*toff*(29359*pow(toff,2)-19321*toff*ton+29359*pow(ton,2))))+pow(d,3)*pow((toff+ton),2)*(1850*pow((toff+ton),9)+j*pow((toff+ton),6)*(56105*pow((toff+ton),2)+3*k*(18606*toff+82445*ton))+6*pow(j,2)*pow((toff+ton),3)*(22104*pow((toff+ton),4)+2*pow(k,2)*toff*(16880*toff+44747*ton)+k*pow((toff+ton),2)*(56944*toff+129563*ton))+3*pow(j,3)*(12628*pow((toff+ton),6)+4*pow(k,2)*toff*pow((toff+ton),2)*(23330*toff+36103*ton)+k*pow((toff+ton),4)*(69380*toff+131909*ton)+pow(k,3)*toff*(33514*pow(toff,2)+1385*toff*ton+33514*pow(ton,2)))))+pow(c,3)*d*(792*pow(d,12)*pow((toff+ton),4)+105*pow(j,3)*k*ton*pow((toff+ton),7)*pow((k*toff+pow((toff+ton),2)),2)+24*pow(d,11)*pow((toff+ton),2)*(347*pow((toff+ton),3)+3*j*(77*pow((toff+ton),2)+6*k*(7*toff+3*ton)))+12*pow(d,10)*pow((toff+ton),2)*(2475*pow((toff+ton),4)+72*pow(j,2)*(11*pow((toff+ton),2)+3*k*(3*toff+ton))+2*j*(toff+ton)*(2303*pow((toff+ton),2)+4*k*(434*toff+339*ton)))+pow(d,9)*(toff+ton)*(52345*pow((toff+ton),6)+432*pow(j,3)*(toff+ton)*(11*pow((toff+ton),2)+k*(11*toff+3*ton))+144*pow(j,2)*(204*pow(k,2)*pow(toff,2)+586*pow((toff+ton),4)+k*pow((toff+ton),2)*(810*toff+419*ton))+2*j*pow((toff+ton),3)*(94794*pow((toff+ton),2)+k*(81578*toff+94335*ton)))+pow(d,8)*(toff+ton)*(51905*pow((toff+ton),7)+144*pow(j,3)*(186*pow(k,2)*pow(toff,2)+239*pow((toff+ton),4)+k*pow((toff+ton),2)*(479*toff+193*ton))+12*pow(j,2)*(toff+ton)*(22140*pow((toff+ton),4)+9*pow(k,2)*toff*(1496*toff+659*ton)+k*pow((toff+ton),2)*(37836*toff+27497*ton))+j*pow((toff+ton),4)*(322553*pow((toff+ton),2)+k*(297794*toff+479235*ton)))+pow(d,7)*(30237*pow((toff+ton),9)+7*j*pow((toff+ton),6)*(44100*pow((toff+ton),2)+k*(42373*toff+93477*ton))+6*pow(j,2)*pow((toff+ton),3)*(69590*pow((toff+ton),4)+11*pow(k,2)*toff*(5140*toff+4869*ton)+k*pow((toff+ton),2)*(132366*toff+132661*ton))+6*pow(j,3)*(15372*pow((toff+ton),6)+6*pow(k,2)*toff*pow((toff+ton),2)*(4555*toff+978*ton)+k*pow((toff+ton),4)*(41268*toff+23765*ton)+3882*pow(k,3)*toff*(pow(toff,2)-toff*ton+pow(ton,2))))+6*d*pow(j,2)*pow((toff+ton),6)*(97*k*ton*pow((toff+ton),3)*(k*toff+pow((toff+ton),2))+j*(6*pow((toff+ton),6)+k*pow((toff+ton),4)*(34*toff+485*ton)+pow(k,2)*toff*pow((toff+ton),2)*(49*toff+921*ton)+pow(k,3)*toff*(21*pow(toff,2)+422*toff*ton+21*pow(ton,2))))+6*pow(d,2)*j*pow((toff+ton),5)*(97*k*ton*pow((toff+ton),6)+2*j*pow((toff+ton),3)*(39*pow((toff+ton),4)+2*pow(k,2)*toff*(26*toff+459*ton)+k*pow((toff+ton),2)*(91*toff+970*ton))+pow(j,2)*(170*pow((toff+ton),6)+395*k*pow((toff+ton),4)*(2*toff+11*ton)+4*pow(k,2)*toff*pow((toff+ton),2)*(260*toff+1897*ton)+pow(k,3)*toff*(420*pow(toff,2)+3023*toff*ton+420*pow(ton,2))))+pow(d,3)*j*pow((toff+ton),4)*(6*j*pow((toff+ton),3)*(1360*pow((toff+ton),4)+5*k*pow((toff+ton),2)*(608*toff+2947*ton)+2*pow(k,2)*toff*(840*toff+6479*ton))+pow((toff+ton),6)*(679*pow((toff+ton),2)+k*(679*toff+9960*ton))+3*pow(j,2)*(3050*pow((toff+ton),6)+2*pow(k,2)*toff*pow((toff+ton),2)*(7785*toff+29333*ton)+k*pow((toff+ton),4)*(12654*toff+37991*ton)+5*pow(k,3)*toff*(1188*pow(toff,2)+3671*toff*ton+1188*pow(ton,2))))+pow(d,6)*(toff+ton)*(10225*pow((toff+ton),9)+7*j*pow((toff+ton),6)*(24733*pow((toff+ton),2)+k*(24310*toff+74427*ton))+12*pow(j,2)*pow((toff+ton),3)*(30674*pow((toff+ton),4)+2*pow(k,2)*toff*(14803*toff+24137*ton)+k*pow((toff+ton),2)*(61997*toff+86017*ton))+3*pow(j,3)*(41354*pow((toff+ton),6)+2*pow(k,2)*toff*pow((toff+ton),2)*(56977*toff+32118*ton)+k*pow((toff+ton),4)*(129650*toff+108121*ton)+2*pow(k,3)*toff*(13171*pow(toff,2)-7726*toff*ton+13171*pow(ton,2))))+3*pow(d,4)*pow((toff+ton),3)*(46*pow((toff+ton),9)+70*j*pow((toff+ton),6)*(46*pow((toff+ton),2)+k*(46*toff+325*ton))+4*pow(j,2)*pow((toff+ton),3)*(4555*pow((toff+ton),4)+5*pow(k,2)*toff*(1056*toff+4591*ton)+2*k*pow((toff+ton),2)*(4935*toff+14428*ton))+pow(j,3)*(13122*pow((toff+ton),6)+6*pow(k,2)*toff*pow((toff+ton),2)*(9493*toff+19825*ton)+2*k*pow((toff+ton),4)*(24879*toff+46361*ton)+pow(k,3)*toff*(20022*pow(toff,2)+22255*toff*ton+20022*pow(ton,2))))+pow(d,5)*pow((toff+ton),2)*(1850*pow((toff+ton),9)+j*pow((toff+ton),6)*(56105*pow((toff+ton),2)+3*k*(18606*toff+82445*ton))+6*pow(j,2)*pow((toff+ton),3)*(31386*pow((toff+ton),4)+2*pow(k,2)*toff*(16880*toff+44747*ton)+k*pow((toff+ton),2)*(65966*toff+129563*ton))+3*pow(j,3)*(30898*pow((toff+ton),6)+4*pow(k,2)*toff*pow((toff+ton),2)*(27802*toff+31631*ton)+k*pow((toff+ton),4)*(107418*toff+131909*ton)+pow(k,3)*toff*(33514*pow(toff,2)+1385*toff*ton+33514*pow(ton,2)))))))/(pow(c,2)*pow(d,2)*pow((c+d),2)*(2*c+d)*(3*c+d)*(c+2*d)*(c+3*d)*pow((toff+ton),4)*(c+toff+ton)*(2*c+toff+ton)*(3*c+toff+ton)*(d+toff+ton)*(c+d+toff+ton)*(2*c+d+toff+ton)*(2*d+toff+ton)*(c+2*d+toff+ton)*(3*d+toff+ton));
}
